Summary:	Components and library for GNOME development tools
Name:		libgdl
Version:	0.7.11
Release:	1%{?dist}
# Mixed source licensing scenario.
License:	(GPLv2 and GPLv2+ and LGPLv2+)
Group:		Development/Libraries
URL:		http://www.gnome.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gdl/0.7/gdl-%{version}.tar.gz

Patch0:		%{name}-%{version}-pkgconfig.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Will be dropped in Fedora 10.
Provides:	anjuta-gdl = %{version}-%{release}
Obsoletes:	anjuta-gdl < 0.7.7-1

%if 0%{?fc7}
BuildRequires:	gtk-doc
%endif

BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	libgnomeui-devel
BuildRequires:	libtool
BuildRequires:	perl(XML::Parser)

%description
GNOME Devtool Libraries contains components and libraries that are intended to
be shared between GNOME development tools, including anjuta2, gnome-build and
gnome-debug.

The current pieces of GDL include:
 * A symbol browser bonobo component (symbol-browser-control).
 * A docking widget (gdl).
 * A utility library that also contains the stubs and skels for the symbol
 browser and text editor components (gdl, idl).

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

# Will be dropped in Fedora 10.
Provides:	anjuta-gdl-devel = %{version}-%{release}
Obsoletes:	anjuta-gdl-devel < 0.7.7-1

Requires:	gtk-doc
Requires:	gtk2-devel
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains development files for %{name}.

%prep
%setup -q -n gdl-%{version}
%patch0 -p1

%build
%configure --disable-static --enable-gtk-doc

# Fix Libtool to remove rpaths.
rm -f ./libtool
cp %{_bindir}/libtool .

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete
find $RPM_BUILD_ROOT -type f -name "*.a" -delete

%find_lang gdl-1

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gdl-1.lang
%defattr (-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc MAINTAINERS
%doc NEWS
%doc README
%{_libdir}/%{name}-gnome-1.so.*
%{_libdir}/%{name}-1.so.*

%dir %{_datadir}/gdl
%{_datadir}/gdl/glade

%files devel
%defattr (-,root,root,-)
%{_libdir}/%{name}-1.so
%{_libdir}/%{name}-gnome-1.so
%{_libdir}/pkgconfig/gdl-1.0.pc
%{_libdir}/pkgconfig/gdl-gnome-1.0.pc

%dir %{_datadir}/gtk-doc/html/gdl
%{_datadir}/gtk-doc/html/gdl/*

%dir %{_includedir}/%{name}-1.0
%{_includedir}/%{name}-1.0/gdl

%changelog
* Tue Mar 18 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.7.11-1
- Version bump to 0.7.11. Closes Red Hat Bugzilla bug #437556.

* Sun Mar 02 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.7.10-1
- Version bump to 0.7.10.
- Added 'BuildRequires: gtk-doc' on Fedora 7.
- Added 'Requires: gtk-doc' for libgdl-devel.
- Replaced 'BuildRequires: chrpath' with 'BuildRequires: libtool' for removing
  rpaths.

* Sun Feb 03 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.7.8-2
- Omitted unused direct shared library dependencies.

* Sun Jan 28 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.7.8-1
- Version bump to 0.7.8.
- Fixed gdl-1.0.pc.in and gdl-gnome-1.0.pc.in by trimming 'Requires' list.

* Sat Dec 15 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.7.7-1
- Initial build. Imported SPEC from Rawhide and renamed as libgdl from
  anjuta-gdl.
